Subject: Re: [dhcwg] Draft for Re-chartering

From: Tomek Mrugalski <[email-masked]>
Date: Wed, 3 Jan 2018 22:38:43 +0100

W dniu 27.11.2017 o 03:36, Bernie Volz (volz) pisze:
>
> Hi:
>
>  
>
> At IETF-100 in Singapore we discussed re-chartering the WG (see
> https://datatracker.ietf.org/meeting/100/materials/slides-100-dhc-dhc-recharter/).
> There were a few minor comments regarding that proposed text and a
> revised text based on those comments is below.
>
>  
>
> Please comment on suggested changes/improvements.
>
>  
>
> Begin Re-charter Text -->
>
> The Dynamic Host Configuration Working Group (DHC WG) has developed DHCP
>
> for automated allocation, configuration and management of IP addresses
>
> and TCP/IP protocol stack parameters. DHCPv4 is currently a Draft
>
I would rephrase the first sentence as:

The Dynamic Host Configuration Working Group (DHC WG) has developed DHCP
for automated allocation, configuration and management of IP addresses,
IPv6 prefixes, IP protocol stack parameters and other parameters.

Saying that everything being configurable by DHCP is a TCP procotol
stack parameter is misleading. We also configure services and parameters
that have nothing to do with TCP/IP stack.
Also, referring to the stack as TCP/IP sounds very 80s. IP protocol
stack sounds better. There are documented cases of DHCP users who used UDP.

> Standard and is documented in RFC 2131 and RFC 2132. DHCPv6 is currently
>
> a Proposed Standard and is being updated and the WG plans to advance the
>
> protocol to full standard.
>
>  
>
> The DHC WG is responsible for defining DHCP protocol extensions.
>
> Definitions of new DHCP options that are delivered using standard
>
> mechanisms with documented semantics are not considered a protocol
>
> extension and thus are generally outside of scope for the DHC WG. Such
>
> options should be defined within their respective WGs and reviewed by
>
> DHCP experts in the Internet Area Directorate. However, if such options
>
> require protocol extensions or new semantics, the protocol extension
>
> work must be done in the DHC WG. Or, when no respective WG exists, the
>
> DHC WG may take on the option definitions work with approval from the
>
> responsible Area Director.
>
>  
>
> The DHC WG has the following main objectives:
>
>  
>
> 1. Develop documents that help explain operational considerations for
>
> the wider community if and as needed.
>
I would reword this item slightly:
Develop documents that are related to operational considerations of DHCP
for the wider community if and as needed.

There are two changes here. First, "explain" is removed as we may do
more than just explain. We could recommend some practices or discourage
people from doing certain things. Also, defining configuration
mechanisms, such as YANG models, is part of the operational
considerations. Second, without DHCP added, some may take it out of
context and say that DHC can make any operational consideration
regarding things other than DHCP. This is particularly likely with the
"wider community".

> 2. Assist other WGs and independent submissions in defining options
>
> (that follow RFC 7227 guidelines) and to assure DHCP operational
>
> considerations are properly documented.
>
During Singapore meeting we had a discussion about defining IOT options.
The general suggestion was that some external organization (IIRC OASIS
was mentioned) is better suited for such work. This approach would be
similar to what DOCSIS did for cable modems. Do we want to explicitly
mention "external organizations" in here?

The remaining text looks good to me.

Tomek

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Mon, 8 Jan 2018 02:04:01 +0000

So, how about we go with:

The Dynamic Host Configuration Working Group (DHC WG) has developed DHCP
for automated allocation, configuration and management of IP addresses,
IPv6 prefixes, IP protocol stack and other parameters. DHCPv4 is
currently a Draft Standard and is documented in RFC 2131 and RFC 2132.
DHCPv6 is currently a Proposed Standard and is being updated and the WG
plans to advance the protocol to full standard.

1. Develop documents that are related to operational considerations of
DHCP for the wider community if and as needed.

3. Additional topics and any option definition work may only be added
with approval from the responsible Area Director or by re-chartering.

4. Issue an updated version of the DHCPv6 base specification, and after
an appropriate interval following publication, advance to full standard.

This includes all of Tomek's proposed changes EXCEPT for adding anything to (2) for "external organizations". I think if asked we would (either personally or as a WG) help out. But I think that this needs to be formalized and will likely end up confusing people as to what it means.

-          Bernie

From: dhcwg [mailto:[email-masked]] On Behalf Of Tomek Mrugalski
Sent: Wednesday, January 03, 2018 4:39 PM
To: [email-masked]
Subject: Re: [dhcwg] Draft for Re-chartering

At IETF-100 in Singapore we discussed re-chartering the WG (see https://datatracker.ietf.org/meeting/100/materials/slides-100-dhc-dhc-recharter/). There were a few minor comments regarding that proposed text and a revised text based on those comments is below.

Saying that everything being configurable by DHCP is a TCP procotol stack parameter is misleading. We also configure services and parameters that have nothing to do with TCP/IP stack.
Also, referring to the stack as TCP/IP sounds very 80s. IP protocol stack sounds better. There are documented cases of DHCP users who used UDP.

1. Develop documents that help explain operational considerations for
the wider community if and as needed.
I would reword this item slightly:
Develop documents that are related to operational considerations of DHCP for the wider community if and as needed.

There are two changes here. First, "explain" is removed as we may do more than just explain. We could recommend some practices or discourage people from doing certain things. Also, defining configuration mechanisms, such as YANG models, is part of the operational considerations. Second, without DHCP added, some may take it out of context and say that DHC can make any operational consideration regarding things other than DHCP. This is particularly likely with the "wider community".

2. Assist other WGs and independent submissions in defining options
(that follow RFC 7227 guidelines) and to assure DHCP operational
considerations are properly documented.
During Singapore meeting we had a discussion about defining IOT options. The general suggestion was that some external organization (IIRC OASIS was mentioned) is better suited for such work. This approach would be similar to what DOCSIS did for cable modems. Do we want to explicitly mention "external organizations" in here?

Tomek

---

From: Tomek Mrugalski <[email-masked]>
Date: Wed, 10 Jan 2018 17:59:30 +0100

> an appropriate interval following publication, advance to full standard.
The text looks great to me.

>  This includes all of Tomek’s proposed changes EXCEPT for adding
> anything to (2) for “external organizations”.
>
That's fine. I was not really keen of adding it, just asked whether
people thought this would be needed.

Tomek

---

From: Ted Lemon <[email-masked]>
Date: Wed, 10 Jan 2018 12:54:20 -0500

On Jan 7, 2018, at 9:04 PM, Bernie Volz (volz) <[email-masked]> wrote:
> Or, when no respective WG exists, the

I would suggest that you just delete this.   If there is work of this type to do, the working group is already chartered to review it, and that's what's important.   There has to be some proponent or set of proponents who want to do the work in order for the work to happen; these are the people who should be doing the work.   If an AD approves of the work, that AD can sponsor the work.

I mention this because in many cases it may be the case that the AD who would sponsor the work would not be an INT AD, and so the current text is actually a bit restrictive—it places all the burden for deciding whether not to approve this type of work on the responsible AD for DHC (currently Suresh).   If the work is related to something that would be in Suresh's purview, then that makes perfect sense, but e.g. if it's a DHCP option to support some routing function, or something like that, I'd expect that the AD who would sponsor the work would be from the routing area.

If you do delete this, you should also update bullet point 3.

Bullet point 1 is pretty vague.  What are "operational considerations?"

---

From: kkinnear <[email-masked]>
Date: Wed, 10 Jan 2018 13:53:58 -0500

I think that this charter is fine.  I've seen Ted's comments, and while
I understand where he is coming from, I don't think his changes are required
(largely because I think that the right things will happen regardless).  That
said, I would also be fine if Ted's changes are adopted into the charter.

In other words, I think this charter is fine with or without the changes that
Ted has proposed.

Regards -- Kim

> On Jan 10, 2018, at 11:59 AM, Tomek Mrugalski <[email-masked]> wrote:
> 
>>  This includes all of Tomek’s proposed changes EXCEPT for adding anything to (2) for “external organizations”. 
>> 
> That's fine. I was not really keen of adding it, just asked whether people thought this would be needed.
> 
> Tomek
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 10 Jan 2018 19:06:40 +0000

Hi Ted:

Thanks for the review and comments.

I think to add any work not on our charter, we need approval from the WG’s responsible AD (not just any AD). And, the point of this was to say that if the option definition work wasn’t being done elsewhere, we would be the last resort place to do it (pending AD approval).

I’m OK with deleting “Or, when no respective WG exists, the“ since it would be covered in bullet point 3 – whether we remove the “and any option definition work” text from there or not. Perhaps fewer works are better, so do both? And, this basically matches the text in the current charter.

That text comes from the current charter (it was adjusted slightly by recent comments from Tomek). I think this is what RFC 7969 (Customizing DHCP Configuration on the Basis of Network Topology) was done “under” in the current charter. And, probably RFC 7844 (Anonymity Profiles for DHCP Clients). Do you think that we need to clarify this to say something like “operational considerations (such as those covered by RFC 7969 and 7844)”? Or?

work must be done in the DHC WG.

3. Additional topics may only be added with approval from the
responsible Area Director or by re-chartering.

-          Bernie

From: Ted Lemon [mailto:[email-masked]]
Sent: Wednesday, January 10, 2018 12:54 PM
To: Bernie Volz (volz) <[email-masked]>
Cc: Tomek Mrugalski <[email-masked]>; [email-masked]
Subject: Re: [dhcwg] Draft for Re-chartering

On Jan 7, 2018, at 9:04 PM, Bernie Volz (volz) <[email-masked]<mailto:[email-masked]>> wrote:
Or, when no respective WG exists, the
DHC WG may take on the option definitions work with approval from the
responsible Area Director.

---

From: Ted Lemon <[email-masked]>
Date: Wed, 10 Jan 2018 14:14:25 -0500

> I think to add any work not on our charter, we need approval from the WG’s responsible AD (not just any AD). And, the point of this was to say that if the option definition work wasn’t being done e…

Right, my point is that the responsible AD for DHC is likely not the right AD to sponsor the kind of work that's being talked about.   IOW, this is simply not the right approach.

When we originally put the text in the charter, it hadn't sunk in that we weren't really solving the problem that we intended to solve when we required AD approval—the problem of people shopping their ideas to the DHC working group when they didn't get buy-in from the area where the work should have been done. Instead, we'd simply moved the burden for saying no from the working group to the AD.

Turning it around—requiring that an AD sponsor the work, actually solves the problem we were originally trying to solve.   It means that Suresh can now say "that's not in my area, so it doesn't make sense for me to sponsor it," instead of having to come up with a reason not to approve it.
 
> I’m OK with deleting “Or, when no respective WG exists, the“ since it would be covered in bullet point 3 – whether we remove the “and any option definition work” text from there or not. Perhaps few…

Yes, I know it does, but I think the current text is still problematic, hence the comment.
 
> That text comes from the current charter (it was adjusted slightly by recent comments from Tomek). I think this is what RFC 7969 (Customizing DHCP Configuration on the Basis of Network Topology) wa…

I would make it more broad and detailed: "Informational documents providing operational or implementation advice about DHCPv6, as well as documents specifying standard mechanisms for operating, administering and managing DHCPv6 servers, clients and relay agents."

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 10 Jan 2018 19:43:06 +0000

Hi:

OK, that leaves us saying nothing about this particular issue and it will still be up to Suresh (or the then current AD) to deal with new options work that wasn’t done elsewhere. But I guess that isn’t “in our charter” to resolve. Though we could work in the following minor change if we wanted to attempt to at least capture the spirit - “within their respective WGs or sponsored by an appropriate AD”.

Looking at the charter again, I do wonder if bullet 3 should not be a bullet and just be a separate paragraph at very end (since it really isn’t an objective of the WG)? In the current charter, it was under the list of tasks we had which we removed in this round. Another option would be to change #3 to be “Finish up documents adopted by the WG. Additional topics …”?

And, I like your replacement text for bullet #1 … so I think that leaves us at (without the change proposed above):

1. Informational documents providing operational or implementation advice
about DHCPv6, as well as documents specifying standard mechanisms for
operating, administering and managing DHCPv6 servers, clients, and relay
agents.

-          Bernie

Sent: Wednesday, January 10, 2018 2:14 PM

On Jan 10, 2018, at 2:06 PM, Bernie Volz (volz) <[email-masked]<mailto:[email-masked]>> wrote:
I think to add any work not on our charter, we need approval from the WG’s responsible AD (not just any AD). And, the point of this was to say that if the option definition work wasn’t being done elsewhere, we would be the last resort place to do it (pending AD approval).

---

From: Ted Lemon <[email-masked]>
Date: Wed, 10 Jan 2018 17:31:33 -0500

> OK, that leaves us saying nothing about this particular issue and it will still be up to Suresh (or the then current AD) to deal with new options work that wasn’t done elsewhere. But I guess that i…

Yup.

I think you could really just delete point 3—it's just repeating things that are standard practice.

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 10 Jan 2018 22:43:42 +0000

Hi:

OK, dropped #3 (while it is standard practice, it might not always be obvious to all so I thought it was useful) and added the “or sponsored by an appropriate AD”.

So, I think we are now with the following proposed re-charter text:

The DHC WG is responsible for defining DHCP protocol extensions.
Definitions of new DHCP options that are delivered using standard
mechanisms with documented semantics are not considered a protocol
extension and thus are generally outside of scope for the DHC WG. Such
options should be defined within their respective WGs or sponsored by an
appropriate AD and reviewed by DHCP experts in the Internet Area
Directorate. However, if such options require protocol extensions or new
semantics, the protocol extension work must be done in the DHC WG.

3. Issue an updated version of the DHCPv6 base specification, and after
an appropriate interval following publication, advance to full standard.

-          Bernie

Sent: Wednesday, January 10, 2018 5:32 PM

On Jan 10, 2018, at 2:43 PM, Bernie Volz (volz) <[email-masked]<mailto:[email-masked]>> wrote:
OK, that leaves us saying nothing about this particular issue and it will still be up to Suresh (or the then current AD) to deal with new options work that wasn’t done elsewhere. But I guess that isn’t “in our charter” to resolve. Though we could work in the following minor change if we wanted to attempt to at least capture the spirit - “within their respective WGs or sponsored by an appropriate AD”.

Yup.

---

From: Ted Lemon <[email-masked]>
Date: Wed, 10 Jan 2018 17:45:15 -0500

LGTM!

> On Jan 10, 2018, at 5:43 PM, Bernie Volz (volz) <[email-masked]> wrote:
> 
> Hi:
>  
> On Jan 10, 2018, at 2:43 PM, Bernie Volz (volz) <[email-masked] <mailto:[email-masked]>> wrote:

---

From: Timothy Winters <[email-masked]>
Date: Thu, 11 Jan 2018 07:46:05 -0500

I also think this charter looks ready to go.

~Tim

On Wed, Jan 10, 2018 at 5:45 PM, Ted Lemon <[email-masked]> wrote:

> OK, dropped #3 (while it is standard practice, it might not always be
> obvious to all so I thought it was useful) and added the “or sponsored by
> an appropriate AD”.
>
> *From:* Ted Lemon [mailto:[email-masked] <[email-masked]>]
> *Sent:* Wednesday, January 10, 2018 5:32 PM
> *To:* Bernie Volz (volz) <[email-masked]>
> *Cc:* Tomek Mrugalski <[email-masked]>; [email-masked]
> *Subject:* Re: [dhcwg] Draft for Re-chartering
>
> OK, that leaves us saying nothing about this particular issue and it will
> still be up to Suresh (or the then current AD) to deal with new options
> work that wasn’t done elsewhere. But I guess that isn’t “in our charter” to
> resolve. Though we could work in the following minor change if we wanted to
> attempt to at least capture the spirit - “within their respective WGs or
> sponsored by an appropriate AD”.
>
>
> Yup.
>

-- 

Now offering testing for SDN applications and controllers in our SDN switch
test bed. Learn more today http://bit.ly/SDN_IOLPR

---

From: Ian Farrer <[email-masked]>
Date: Fri, 12 Jan 2018 12:36:27 +0100

Hi Bernie,

I think the new wording looks generally fine, with the following 2 comments:

1, The first two paragraphs are relevant to both DHCPv4 & 6, but the objectives are all DHCPv6 specific. Whilst I agree that DHCPv6 should be very much the focus of the WG, I wouldn’t like to see it preclude e.g. reviving the DHCPv4 yang model draft (draft-liu-dhc-dhcp-yang-model). I guess this can be handled by DHCPv4 work not being a 'main objective'. Is this the right understanding? Should there be text to reflect this?

2, Para. 1: "DHCPv6 is currently a Proposed Standard and is being updated and the WG plans to advance the protocol to full standard."

This sentence is a little cumbersome. A suggested re-word:

"DHCPv6 is currently a Proposed Standard that is being updated. The WG plans to advance the protocol to full standard.”

Thanks,
Ian

> On 10. Jan 2018, at 23:43, Bernie Volz (volz) <[email-masked]> wrote:
> 
> Hi:
>

---

From: Richard Barr Hibbs <[email-masked]>
Date: Sun, 14 Jan 2018 13:49:18 -0800

I agree that the proposed changes make the proposed charter clearer.

--Barr

On 1/12/2018 3:36 AM, Ian Farrer wrote:
> 1, The first two paragraphs are relevant to both DHCPv4 & 6, but the 
> objectives are all DHCPv6 specific. Whilst I agree that DHCPv6 should 
> be very much the focus of the WG, I wouldn’t like to see it preclude 
> e.g. reviving the DHCPv4 yang model draft 
> (draft-liu-dhc-dhcp-yang-model). I guess this can be handled by DHCPv4 
> work not being a 'main objective'. Is this the right understanding? 
> Should there be text to reflect this?
>
> 2, Para. 1: "DHCPv6 is currently a Proposed Standard and is being 
> updated and the WG plans to advance the protocol to full standard."
>
> "DHCPv6 is currently a Proposed Standard that is being updated. The WG 
> plans to advance the protocol to full standard.”
>
> Thanks,
> Ian
>
>
>> On 10. Jan 2018, at 23:43, Bernie Volz (volz) <[email-masked] 
>> <mailto:[email-masked]>> wrote:
>>
>> Hi:
>> obvious to all so I thought it was useful) and added the “or 
>> -Bernie
>> *From:*Ted Lemon [mailto:[email-masked]]
>> *Sent:*Wednesday, January 10, 2018 5:32 PM
>> *To:*Bernie Volz (volz) <[email-masked] <mailto:[email-masked]>>
>> *Cc:*Tomek Mrugalski <[email-masked] 
>> <mailto:[email-masked]>>; [email-masked] 
>> <mailto:[email-masked]>
>> *Subject:*Re: [dhcwg] Draft for Re-chartering
>>     OK, that leaves us saying nothing about this particular issue and
>>     it will still be up to Suresh (or the then current AD) to deal
>>     with new options work that wasn’t done elsewhere. But I guess
>>     that isn’t “in our charter” to resolve. Though we could work in
>>     the following minor change if we wanted to attempt to at least
>>     capture the spirit - “within their respective WGsor sponsored by
>>     an appropriate AD”.
>>
>> Yup.
>> [email-masked] <mailto:[email-masked]>

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 17 Jan 2018 16:37:00 +0000

Ian:

Regarding your #1 comment, yes that is the case and has been for a while. While it could be stated, I think leaving it a bit more open. #2 in the main objectives is a bit more general (though 7227 is about v6 options). I will leave it to others to comment whether this needs any change.

I can modify per your #2 comment (with slight edit to be clearer – I hope).

Hopefully we can wrap up and send to Suresh shortly!

The Dynamic Host Configuration Working Group (DHC WG) has developed DHCP
for automated allocation, configuration and management of IP addresses,
IPv6 prefixes, IP protocol stack and other parameters. DHCPv4 is
currently a Draft Standard and is documented in RFC 2131 and RFC 2132.
DHCPv6 is currently a Proposed Standard and is being updated. The WG
plans to advance the DHCPv6 protocol to full standard.

-          Bernie

From: Ian Farrer [mailto:[email-masked]]
Sent: Friday, January 12, 2018 6:36 AM
To: Bernie Volz (volz) <[email-masked]>
Cc: [email-masked]
Subject: Re: [dhcwg] Draft for Re-chartering

Hi Bernie,

Thanks,
Ian

On 10. Jan 2018, at 23:43, Bernie Volz (volz) <[email-masked]<mailto:[email-masked]>> wrote:

Hi:

-          Bernie

From: Ted Lemon [mailto:[email-masked]]
Sent: Wednesday, January 10, 2018 5:32 PM
To: Bernie Volz (volz) <[email-masked]<mailto:[email-masked]>>
Cc: Tomek Mrugalski <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [dhcwg] Draft for Re-chartering

Yup.

_______________________________________________
dhcwg mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dhcwg